pydo.apps.list_regions()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.apps.list_regions()
Returns JSONRaises HttpResponseError

Description

List all regions supported by App Platform.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.apps.list_regions()

Response Example

Show Response Example
{
  "regions": [
    {
      "slug": "ams",
      "label": "Amsterdam",
      "flag": "netherlands",
      "continent": "Europe",
      "data_centers": [
        "ams3"
      ]
    },
    {
      "slug": "nyc",
      "label": "New York",
      "flag": "usa",
      "continent": "North America",
      "data_centers": [
        "nyc1",
        "nyc3"
      ],
      "default": true
    },
    {
      "slug": "fra",
      "label": "Frankfurt",
      "flag": "germany",
      "continent": "Europe",
      "data_centers": [
        "fra1"
      ]
    },
    {
      "slug": "sfo",
      "label": "San Francisco",
      "flag": "usa",
      "continent": "North America",
      "data_centers": [
        "sfo3"
      ]
    },
    {
      "slug": "sgp",
      "label": "Singapore",
      "flag": "singapore",
      "continent": "Asia",
      "data_centers": [
        "sgp1"
      ]
    },
    {
      "slug": "blr",
      "label": "Bangalore",
      "flag": "india",
      "continent": "Asia",
      "data_centers": [
        "blr1"
      ]
    },
    {
      "slug": "tor",
      "label": "Toronto",
      "flag": "canada",
      "continent": "North America",
      "data_centers": [
        "tor1"
      ]
    },
    {
      "slug": "lon",
      "label": "London",
      "flag": "uk",
      "continent": "Europe",
      "data_centers": [
        "lon1"
      ]
    }
  ]
}

More Information

See /v2/apps/regions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.